Review Composer
Start agent token setup
Start a private coding-agent token handoff.
POST
/
v1
/
review-composer
/
agents
/
{armId}
/
connection
/
intents
Start agent token setup
curl --request POST \
--url https://api.getmillwork.dev/v1/review-composer/agents/{armId}/connection/intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stop_choice": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stop_choice: {}})
};
fetch('https://api.getmillwork.dev/v1/review-composer/agents/{armId}/connection/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<unknown>"{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}⌘I
Start agent token setup
curl --request POST \
--url https://api.getmillwork.dev/v1/review-composer/agents/{armId}/connection/intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stop_choice": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stop_choice: {}})
};
fetch('https://api.getmillwork.dev/v1/review-composer/agents/{armId}/connection/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<unknown>"{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}